4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.StylesheetTree

Node classes for the stylesheet tree

    Copyright 2004 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: XsltElement, XsltNode, XsltRoot, XsltText |  |  |  | Globals: EMPTY_NAMESPACE, XSL_NAMESPACE

## Classes

class XsltElement(XsltNode)
  # implements default behaviour for extension elements

  ### Methods

  __init__(self, root, namespaceUri, localName, baseUri)
  __str__(self)
  appendChild(self, child)
    INTERNAL USE ONLY
  expandQName(self, qname, refNode=None)
    DEPRECATED: specify an attribute in 'legalAttrs' instead.
  insertChild(self, index, child)
    INTERNAL USE ONLY
  instantiate(self, context, processor)
    Implements default behavior of instantiating each child in the order that they appear in the stylesheet.
    Overrides: instantiate from class XsltNode
  parseAVT(self, avt)
    DEPRECATED: specify an attribute in 'legalAttrs' instead.
  parseExpression(self, expression)
    DEPRECATED: specify an attribute in 'legalAttrs' instead.
  parsePattern(self, pattern)
    DEPRECATED: specify an attribute in 'legalAttrs' instead.
  processChildren(self, context, processor)
    Iterates over the children, instantiating them in the order that they appear in the stylesheet.
  splitQName(self, qname)
    DEPRECATED: specify an attribute in 'legalAttrs' instead.

  ### Methods inherited from class XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime, setup

  ### Members

  category = 2
  content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
  legalAttrs = None
  validator = <Ft.Xml.Xslt.ContentInfo.Validator instance>

  ### Members inherited from class XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, doesSetup, expandedName, importIndex, lineNumber, nodeName, parent, root
class XsltNode

  ### Methods

  idle(self, processor)
  instantiate(self, context, processor)
  isLastChild(self)
  isPseudoNode(self)
  pprint(self, _indent='')
  prime(self, processor, context)
  setup(self)

  ### Members

  attributes = None
  baseUri = ''
  children = None
  columnNumber = '??'
  doesIdle = False
  doesPrime = False
  doesSetup = False
  expandedName = (None, None)
  importIndex = -1
  lineNumber = '??'
  nodeName = None
  parent = None
  root = None
class XsltRoot(XsltNode)

  ### Methods

  __init__(self, baseUri)
  __str__(self)
  appendChild(self, child)

  ### Methods inherited from class XsltNode

  idle, instantiate, isLastChild, isPseudoNode, pprint, prime, setup

  ### Members

  content = <Ft.Xml.Xslt.ContentInfo.Alt instance>
  nodeName = u'#document'
  validator = <Ft.Xml.Xslt.ContentInfo.Validator instance>

  ### Members inherited from class XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, doesSetup, expandedName, importIndex, lineNumber, parent, root
class XsltText(XsltNode)

  ### Methods

  __init__(self, root, baseUri, data)
  __str__(self)
  instantiate(self, context, processor)
    Overrides: instantiate from class XsltNode

  ### Methods inherited from class XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime, setup

  ### Members

  nodeName = u'#text'

  ### Members inherited from class XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, doesSetup, expandedName, importIndex, lineNumber, parent, root

## Globals

EMPTY_NAMESPACE = None
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'